Bug 2094722 (CVE-2022-31213) - CVE-2022-31213 dbus-broker: null pointer reference when supplying a malformed XML config file
Summary: CVE-2022-31213 dbus-broker: null pointer reference when supplying a malformed...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2022-31213
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 2094723 2094724 2102496 2102497
Blocks: 2094725
TreeView+ depends on / blocked
 
Reported: 2022-06-08 08:58 UTC by Marian Rehak
Modified: 2022-11-27 18:27 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in the dbus-broker package. This issue occurs when supplying a malformed XML config file and leads to a NULL pointer dereference.
Clone Of:
Environment:
Last Closed: 2022-11-27 18:27:20 UTC
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2022:6608 0 None None None 2022-09-20 14:16:01 UTC

Description Marian Rehak 2022-06-08 08:58:43 UTC
Multiple Null Pointer references can be found when supplying a malformed XML config file.

Comment 1 Marian Rehak 2022-06-08 08:58:58 UTC
Created dbus-broker tracking bugs for this issue:

Affects: epel-8 [bug 2094724]
Affects: fedora-all [bug 2094723]

Comment 3 errata-xmlrpc 2022-09-20 14:15:59 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 9

Via RHSA-2022:6608 https://access.redhat.com/errata/RHSA-2022:6608

Comment 4 Product Security DevOps Team 2022-11-27 18:27:18 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2022-31213


Note You need to log in before you can comment on or make changes to this bug.